# Class JmolStateCreator

java.lang.Object
org.jmol.viewer.JmolStateCreator

Direct Known Subclasses:
  `StateCreator`

public abstract class JmolStateCreator extends Object

## Constructor Summary

Constructors
Constructor
Description
`JmolStateCreator()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getAtomShapeState(AtomShape shape)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JmolStateCreator

public JmolStateCreator()

## Method Details

### getAtomShapeState

public abstract String getAtomShapeState(AtomShape shape)